org.apache.tiles.api.preparer

## Class PreparerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tiles.api.TilesException
        - - org.apache.tiles.api.preparer.PreparerException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NoSuchPreparerException

      public class PreparerException
      extends TilesException

  Thrown when an exception occurs while processing a prepare request.

  Since:
    Tiles 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreparerException()` Constructor.
    `PreparerException(String message)` Constructor.
    `PreparerException(String message, Throwable e)` Constructor.
    `PreparerException(Throwable e)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PreparerException

          public PreparerException()

      Constructor.

    - #### PreparerException

          public PreparerException(Throwable e)

      Constructor.
      Parameters:
        `e` - The cause exception.

    - #### PreparerException

          public PreparerException(String message)

      Constructor.
      Parameters:
        `message` - The message to include.

    - #### PreparerException

          public PreparerException(String message,
                                   Throwable e)

      Constructor.
      Parameters:
        `message` - The message to include.
        `e` - The cause exception.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.